texdoc(1)

NAME
texdoc - Utility to look up TeX documentation

SYNOPSIS

texdoc [ OPTION ... ] NAME [ ... ]

DESCRIPTION

texdoc seaches for NAME in the TeX documentation and starts an appropriate viewer.

NAME should be the name of a command or package in the teTeX distribution.

OPTIONS

--help
    Display a brief summary of options.

-l  List matching files. Does not start a viewer.

-v  Sets verbose mode. Shows the command being used to display the documentation.

ENVIRONMENT

$TEXDOCVIEW_dvi
    DVI viewer. Defaults to xdvi(1).

$TEXDOCVIEW_pdf
    PDF viewer. Defaults to acroread(1).

$TEXDOCVIEW_ps
    PostScript viewer. Defaults to ghostview(1).

$TEXDOCVIEW_html
    HTML viewer. Defaults to netscape(1).

$TEXDOCVIEW_txt
    Text viewer. Defaults to $PAGER-more.

The environment variables should be set with a ``%s'' as a placeholder for the name of the file. For example,

    hostname% setenv TEXDOCVIEW_pdf "gv %s"

or

    hostname$ TEXDOCVIEW_html="mozilla %s"

    hostname$ export TEXDOCVIEW_html

FILES

texdoc.cnf
    default configuration file

SEE ALSO

acroread(1), gv(1), kpsewhich(1), less(1), more(1), xdvi(1)

Web page: <http://tug.cs.umb.edu/tetex/>

BUGS

None known, but report any bugs found to <tetex@dbs.uni-hannover.de> (mailing list).

AUTHOR

texdoc was written by Thomas Esser <te@dbs.uni-hannover.de>, David Aspinall <da@dcs.ed.ac.uk>, and Simon Wilkinson <sxw@dcs.ed.ac.uk> during 1998 and 1999. texdoc is in the public domain.

This manual page was written by C.M. Connelly <c@eskimo.com>, for the Debian GNU/Linux system. It may be used by other distributions without contacting the author. Any mistakes or omissions in the manual page are my fault; inquiries about or corrections to this manual page should be directed to me (and not to the primary author).